#!/bin/bash

echo "##################"
echo "Release you want :"
echo "##################"
repertoirdebase=`pwd`
PS3='> '   # le prompt
COMPIL=("3.2.2" "primavera" "trunk")
select CHOIX in "${COMPIL[@]}" ; do
  case $REPLY in
      1)
        TAG="ecearth_$CHOIX"
        echo "" 
        ;;
      2)  
        TAG="ecearth_$CHOIX"
        echo ""
        ;;
      3)  
        TAG="ecearth"
        cp $CHOIX/runtime/classic/ctrl/namelist.nemo-ORCA1L75-coupled.cfg.sh $HOME/modeles/ecearth/runtime/classic/ctrl
        echo ""
        ;;
  esac
  break
done

TARGET="$HOME/modeles/$TAG"

mv $HOME/.bashrc $HOME/bashrc_old
cp bashrc $HOME/.bashrc

cp $CHOIX/sources/config-build.xml $TARGET/sources/config-build.xml
cp $CHOIX/runtime/classic/config-run.xml $TARGET/runtime/classic/config-run.xml
cp $CHOIX/runtime/classic/ece-ifs+nemo.sh.tmpl $TARGET/runtime/classic/ece-ifs+nemo.sh.tmpl

cp $CHOIX/runtime/classic/platform/zenobe.cfg.tmpl $TARGET/runtime/classic/platform/zenobe.cfg.tmpl

echo "Patch applied to ${CHOIX}."
